### Method

# GUsb Device add_tag

since: 0.4.1

#### Declaration

    void
    g_usb_device_add_tag (
      GUsbDevice* self,
      const gchar* tag
    )

#### Description

Adds a tag, which is included in the JSON log to identify the specific device.

For instance, there might be a pre-update runtime, a bootloader and a post-update runtime and allowing tags to be saved to the backend object allows us to identify each version of the same physical device.

Available since: 0.4.1

#### Parameters

`tag`

  Type: `const gchar*`

  A tag, for example `bootloader` or `runtime-reload`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.